import Client from "./Client";
import CommandInfo from "./Command/CommandInfo";
import CommandInterface from "./Command/CommandInterface";
import Gateway from "./Gateway";
export default class CommandClient extends Client {
    private commandDirectory;
    commands: {
        [name: string]: {
            info: CommandInfo;
            command: CommandInterface;
        };
    };
    private commandHandler;
    constructor(config: any, commandDirectory: string);
    protected createGateway(url: string): Gateway;
    private loadCommands(directory);
}
